require_relative 'player'
require_relative 'die'
require_relative 'treasure_trove'

module StudioGame
	module GameTurn
		def self.take_turn(player)
				die = Die.new
				number_rolled = die.roll
				case number_rolled
				when 5,6
					player.w00t
				when 3,4
					puts "Player #{player.name} was skipped"
				else
					player.blam
				end
				treasure_found = TreasureTrove.random
				player.found_treasure(treasure_found)
		end
	end
end
